Package Details: python3-aur 2021.11.20.1-1

Git Clone URL: https://aur.archlinux.org/python3-aur.git (read-only, click to copy)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: https://xyne.dev/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 211
Popularity: 1.23
First Submitted: 2011-07-04 03:22
Last Updated: 2021-11-20 04:03

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

zorun commented on 2014-05-29 02:45

Nevermind, it doesn't work through the web interface either: "The source package does not contain any meta data. Please use `mkaurball` to create AUR source packages. Support for source packages without .AURINFO entries will be removed in an upcoming release! You can resubmit the package if you want to proceed anyway."

I wasn't aware of the new .AURINFO thing.

Still, aurploader's error message is not very informative, isn't there any way to display the error returned by the uploading system?

zorun commented on 2014-05-29 02:24

Uploading through aurploader seems to be broken:

http://paste.aliens-lyon.fr/5L8

No file is actually uploaded.

Xyne commented on 2013-10-13 17:46

@Iks
done

lks commented on 2013-10-13 10:22

Could you change category="modules" to "devel" system? I think "modules" is for kernel modules and drivers.
lks

Thaodan commented on 2013-10-08 15:01

I converted the help text to an org-file that can be exported as a man page:
https://dl.dropboxusercontent.com/u/172590784/aurploader.org

Thaodan commented on 2013-10-02 21:18

thanks nice

Xyne commented on 2013-10-01 23:57

@Thaodan: sure, why not? Posting with new "-m" option...

Thaodan commented on 2013-10-01 17:13

what about an -m for aurploader like in git so that I can post a comment without opening $EDITOR?

Xyne commented on 2013-06-03 00:40

@ponsfoot
Sorry for the delay. It has been fixed in version 2013.6.

ponsfoot commented on 2013-05-31 12:58

Hi,

Aurploader.py requires to import urllib.error.
When run `aurploader --help', the following error occurs:
$ aurploader --help
usage: aurploader [-h] [-a] [-c <path>] [--comment] [-k] [-l <path>] [-n] [-r]
<snip>
-v, --vote Vote for each uploaded package.
Traceback (most recent call last):
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 657, in run_main
main(args)
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 610, in main
args = parse_args(args)
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 600, in parse_args
return parser.parse_args()
File "/usr/lib/python3.3/argparse.py", line 1705, in parse_args
args, argv = self.parse_known_args(args, namespace)
File "/usr/lib/python3.3/argparse.py", line 1737, in parse_known_args
namespace, args = self._parse_known_args(args, namespace)
File "/usr/lib/python3.3/argparse.py", line 1943, in _parse_known_args
start_index = consume_optional(start_index)
File "/usr/lib/python3.3/argparse.py", line 1883, in consume_optional
take_action(action, args, option_string)
File "/usr/lib/python3.3/argparse.py", line 1811, in take_action
action(self, namespace, argument_values, option_string)
File "/usr/lib/python3.3/argparse.py", line 1016, in __call__
parser.exit()
File "/usr/lib/python3.3/argparse.py", line 2353, in exit
_sys.exit(status)
SystemExit: 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/aurploader", line 3, in <module>
run_main()
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 663, in run_main
except urllib.error.URLError as e:
NameError: global name 'urllib' is not defined
---

import urllib.error fixes this error.

Thx